<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:a4j="http://richfaces.org/a4j"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:rich="http://richfaces.org/rich"
        xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="assertionFrom">
        <s:token allowMultiplePosts="true"/>
        <h:inputHidden id="filterUrlParameters" name="filterUrlParameters"
                       value="#{assertionManager.filter.filterUrlParameters}"/>
        <script>
            $(function () {
                $('[data-toggle="popover"]').popover({html: true})
            });
            updateUrl("assertionFrom:filterUrlParameters");
            $("#assertionFrom\\:filterUrlParameters").bind('change',
                    function () {
                        updateUrl("assertionFrom:filterUrlParameters");
                    });
        </script>

        <div class="row review">
            <div class="col-lg-2">
                <span onclick="#{rich:component('assertionsDs')}.previous();"
                              class="gzl-btn-blue">
                    <span class="fa fa-arrow-left"/>
                    <h:outputText value="#{messages['net.ihe.gazelle.assertion-manager.Previous']}"/>
                </span>
            </div>
            <div class="col-lg-8 gzl-text-centered">
                <rich:dataScroller for="assertions" id="assertionsDs" render="assertionFrom" stepControls="hide"
                                   fastControls="hide" maxPages="10"/>
            </div>
            <div class="col-lg-2">
                <span onclick="#{rich:component('assertionsDs')}.next();" class="gzl-btn-blue">
                    <h:outputText value="#{messages['net.ihe.gazelle.assertion-manager.Next']}"/>
                    <span class="fa fa-arrow-right"/>
                </span>
            </div>
        </div>

        <s:div id="review">
            <a4j:repeat rows="1" value="#{assertionManager.assertions}" var="currentAssertion" id="assertions">
                <ui:include src="/assertions/_show.xhtml">
                    <ui:param name="currentAssertion" value="#{currentAssertion}"/>
                </ui:include>
            </a4j:repeat>
        </s:div>
    </h:form>
    <ui:include src="/assertions/_deleteConfirmationPanels.xhtml"/>
</ui:composition>
